.profile-card {
  &__modal {
    background-color: #4D4D4D;
    padding-bottom: rem(30px);
    // TODO: refactor justify-content when ember-modal-dialog hasn't display flex.
    justify-content: space-between;
    // TODO: refactor this in header block
    width: 100vw;
    height: 100%;
    .header {
      min-height: fit-content;
    }
  }
  &__container {
    height: 100%;
    max-height: calc(100% - 48px);
    margin-top: rem(48px);
    padding-top: rem(42px);
    overflow-y: auto;
    overflow-x: hidden;
    background: none;
    border: none;
    width: 100%;
    text-align: left;
  }
  &__overlay {
    max-width: rem(550px);
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }
  &__content {
    background-color: $color-white;
    padding: rem(30px);
    margin: 0 auto rem(60px) auto;
    border-bottom: rem(10px) solid $color-corporative;
    position: relative;
    max-width: rem(550px);

    &:after {
      content: '';
      display: block;
      margin: auto;
      position: absolute;
      left: 0;
      right: 0;
      bottom: rem(-29px);
      width: rem(20px);
      height: rem(20px);
      border-top: rem(20px) solid $color-corporative;
      border-right: rem(15px) solid transparent;
      border-left: rem(15px) solid transparent;
    }
  }
  &__avatar {
    height: 100%;
    width: auto;
    max-width: rem(60px);
    max-height: rem(60px);
    word-wrap: break-word;
    object-fit: cover;

  }
  &__avatar-container {
    display: flex;
    justify-content: center;
    overflow: hidden;
    max-height: rem(100px);
    max-width: rem(100px);
    height: 100%;
    width: 100%;
    margin-left: auto;
    margin-right: auto;

    &-img {
      height: auto;
      width: auto;
      object-fit: scale-down;
    }
    &-icon {
      object-fit: scale-down;
    }
    &-name {
      word-wrap: break-word;
      font-size: rem(18px);
      color: $color-black;
      text-align: center;
      font-weight: bold;
      margin-top: rem(10px);
    }
  }

  &__rating {
    display: flex;
    width: fit-content;
    height: auto;
    margin: 0 auto;
    // background: url(/assets/images/star.png) repeat-x left;
    background-size: contain;
    margin-bottom: rem(10px);
    & svg {
      width: rem(20px);
    }
  }

  &__location {
    color: $color-gray;
    text-align: center;
    font-size: rem(14px);
    .svg-icon {
      width: rem(25px);
      height: rem(25px);
      fill: $color-gray;
    }
  }

  &__interests {
    font-size: rem(14px);
    margin-right: rem(5px);
    color: $color-gray;
  }

  &__toggle-button  {
    background-color: transparent;
    border: rem(2px) solid $color-corporative;
    width: rem(150px);
    height: rem(150px);
    display: flex;
    align-items: center;
    justify-content: center;
    .icon {
      width: 50%;
      height: 50%;
      fill: $color-corporative;
      &:hover {

      }
    }
    & svg {
      position: initial;
      fill: $primary;
    }
    &--corporative-bg {
      background-color: $color-corporative;
      .icon {
        fill: $dark;
      }
    }
  }
}
